USN-4614-1: GDM vulnerability

03 November 2020

GDM could be made to create privileged users.

Releases

Packages

  • gdm3 - GNOME Display Manager

Details

Kevin Backhouse discovered that GDM incorrectly launched the initial setup
tool when the accountsservice daemon was not reachable. A local attacker
able to cause accountsservice to crash or stop responding could trick GDM
into launching the initial setup tool and create a privileged user.

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 20.10
Ubuntu 20.04
Ubuntu 18.04

After a standard system update you need to reboot your computer to make
all the necessary changes.

References